
#include <stdio.h>
#include <stdlib.h>

static int	RealPath(char *org)
{
	char	*new=realpath(org,NULL);

	if (new!=NULL) {
	    (void)puts(new); free(new); return 0;
	}
	(void)fprintf(stderr,"%s: no such file or directory\n",org); return 2;
}

int	main(int argc,char **argv)
{
	int	status=0;

	if (argc==1) return RealPath(".");

	while (--argc>=1) status|=RealPath(*(++argv)); return status;
}
