
#include <stdio.h>

#ifndef	COLUMNS
#define COLUMNS	2
#endif

#define LINES	62
#define LEFT	72.0
#define GAP	385.0
#define TOP	62.0

#define UNGETC	(void)ungetc
#define PUTS	(void)puts
#define PRINTF	(void)printf
#define PUTCHAR	(void)putchar
#define FPUTS	(void)fputs

static int	GetChar()
{
	int	c,n;

	if ((c=getchar())>=0xa0)
	if ((n=getchar())>=0xa0)
	    c=(c<<8)|n;
	else
	    UNGETC(n,stdin);

	return c;
}

int	main()
{
	int	c,n,l=EOF,x=0,y=0,p=0;

	while ((c=GetChar())!=EOF) {
	    if (l==EOF)
		PUTS("%!PS-Adobe-2.0\n"
		     "%%Pages: (atend)\n"
		     "%%EndComments");

	    if (x==0 && l!='\b') {
		if (y==0) {
		    ++p; PRINTF("%%%%Page: %d %d\n"
				"7 10 add dict begin\n"
				"/FontType 0 def\n"
				"/FontMatrix matrix def\n"
				"/FontName /E+J def\n"
				/* FontInfo */
				/* LanguageLevel */
				"/WMode 0 def\n"
				"/FMapType 3 def\n"
				"/Encoding [0 1] def\n"
				"/FDepVector [\n"
			"/Courier findfont [0.833 0 0 1 0 0.093] makefont\n"
			"/Ryumin-Light-EUC-H findfont [1 0 0 1 0 0] makefont\n"
				"] def\n"
				/* PrefEnc */
				/* EscChar */
				/* ShiftOut */
				/* ShiftIn */
				/* SubsVector */
				/* FID */
				/* MIDVector */
				/* CurMID */
				"FontName currentdict end\n"
				"definefont 7 scalefont setfont\n"
				"90 rotate\n",p,p);
		}
		PRINTF("%lg %lg moveto\n(",LEFT+GAP*(double)(y/LINES),
					   -TOP-8.0*(double)(y%LINES));
	    }
	    switch(c) {
		case '\f':
		    if ((n=getchar())!='\n') UNGETC(n,stdin);
		    y=(y/LINES+1)*LINES-1;
		case '\n':
		    PUTS(")\nshow"); x=0;
		    if ((y=(y+1)%(LINES*COLUMNS))==0) PUTS("showpage");
		    break;
		case '\b':
		    if (x!=0 && l!='\b' && l!='\t') {
			FPUTS(")\nshow\n(",stdout);
			if (l<256) {
			    if (l=='\\' || l=='(' || l==')') PUTCHAR('\\');
			    PUTCHAR(l); --x;
			}
			else {
			    PRINTF("\\377\\001\\%03o\\%03o",l>>8,l&255); x-=2;
			}
			FPUTS(")\nstringwidth pop neg 0 rmoveto\n(",stdout);
		    }
		    break;
		default  :
		    if (c<256) {
			if (l>255) FPUTS("\\377\\000",stdout);
			if (c=='\t')
			    do PUTCHAR(' '); while (++x%8!=0);
			else {
			    if (c=='\\' || c=='(' || c==')') PUTCHAR('\\');
			    PUTCHAR(c); ++x;
			}
		    }
		    else {
			if (l<256) FPUTS("\\377\\001",stdout);
			PRINTF("\\%03o\\%03o",c>>8,c&255); x+=2;
		    }
		    break;
	    }
	    l=c;
	}
	if (l!=EOF) {
	    if (l!='\f' && l!='\n')
		PUTS(")\nshow\nshowpage");
	    else if (y!=0)
		PUTS("showpage");

	    PRINTF("%%%%Trailer\n"
		   "%%%%Pages: %d\n",p);
	}
	return 0;
}
