#
# usage
#   ( check_marker SCALE marker.txt - | awk -f r2m.awk | \
#     check_marker SCALE - ) |& cat
# where
#   parameter SCALE = ratio | (Uxyz Uh Uv Ud) | (Ux Uy Uz Uh Uv Ud)
#
NR==1 { printf "%s\t%s\t%s\n",$1,$2,$3 > "/dev/stderr" }
NR==2 { printf "%s\t%s\t%s\n",xh=$1,xv=$2,xd=$3 > "/dev/stderr" }
NR==3 { printf "%s\t%s\t%s\n",yh=$1,yv=$2,yd=$3 > "/dev/stderr" }
NR==4 { printf "%s\t%s\t%s\n",zh=$1,zv=$2,zd=$3 > "/dev/stderr" }
NR==5 { printf "%s\t%s\t%s\n",x0=$1,y0=$2,z0=$3 > "/dev/stderr" }
NR==6 { printf "=\n" > "/dev/stderr" }
NR>=7 && NF>=6 { printf "%f\t%f\t%f\t%s\t%s\t%s\n", \
                        xh*$4+xv*$5+xd*$6+x0, \
                        yh*$4+yv*$5+yd*$6+y0, \
                        zh*$4+zv*$5+zd*$6+z0,$4,$5,$6
}
