#!/bin/csh
# usage : center.csh {z1 z2}
#
set rxy=(0.5 0.25)
#
switch($#argv)
  case 0 :
    if (-e DO.tbl) then
      set z12=(`tail -1 DO.tbl | cut -f4-5`)
      stderr using z1 and z2 at the last line of \"DO.tbl\".
    else
      set z12=''
    endif
    breaksw
  case 2 :
    set z12=($argv) ; breaksw
  default:
    stderr 'usage : center.csh {z1 z2}' ; exit 1
endsw
#
if (!(-e raw)) then
  stderr raw : directory not found. ; exit 1
endif
#
check.rc raw $z12 $rxy | tee center.log
