#!/bin/csh
# usage : reduce.csh bin_size
#
set si_reduce=si_sir
#set si_reduce=si_pnr
#
if ($#argv != 1) then
  stderr usage : reduce.csh bin_size ; exit 1
endif
#
set bin_size=$argv[1]
#
foreach xyz (xy xz zy)
  set trim=trim_$xyz
  if (!(-e $trim)) then
    stderr $trim : directory not found. ; exit 1
  endif
#
  set reduce=${bin_size}_$xyz
  if (-e $reduce) then
    stderr $reduce : directory already exists. ; exit 1
  endif
#
  mkdir $reduce ; $si_reduce $trim - $bin_size $reduce
end
