
#include <stdio.h>

static void	CheckSum(file)
FILE		*file;
{
	int	len=0,sum=0;
#ifdef	BUFLEN
	unsigned char	buf[BUFLEN],*ptr;
	int		cnt;

	while ((cnt=fread(buf,1,BUFLEN,file))>0)
	for (ptr=buf; --cnt>=0; ptr++) { ++len; sum+=(int)*ptr; }
#else
	int	code;

	while ((code=fgetc(file))!=EOF) { ++len; sum+=code; }
#endif

	printf("%d\t%d\n",len,sum&0xff);
}

int	main(argc,argv)
int	argc;
char	**argv;
{
	FILE	*file;

	if (argc==1)
	    CheckSum(stdin);
	else
	    while (--argc!=0)
		if ((file=fopen(*(++argv),"rb"))==NULL)
		    fprintf(stderr,"file %s not found.\n",*argv);
		else {
		    printf("%s\t",*argv); CheckSum(file); fclose(file);
		}

	return 0;
}
