
#include <stdio.h>

static void	Dump(file)
FILE		*file;
{
	int	adr,line[16],index;

	for (adr=0; (line[adr%16]=fgetc(file))!=EOF; adr++) {
	    if (adr%16==0) printf("%8.8x: ",adr);
	    printf(" %2.2x",line[adr%16]);
	    if (adr%16==15) {
		putchar(' '); putchar(' ');
		for (index=0; index<16; index++)
		    if (line[index]>=' ' && line[index]<='~')
			putchar(line[index]);
		    else
			putchar(' ');
		putchar('\n');
	    }
	}

	if (adr%16!=0) {
	    for (index=adr%16; index<16; index++) {
		putchar(' '); putchar(' '); putchar(' ');
	    }
	    putchar(' '); putchar(' ');
	    for (index=0; index<adr%16; index++)
		if (line[index]>=' ' && line[index]<='~')
		    putchar(line[index]);
		else
		    putchar(' ');
	   putchar('\n');
	}

}

int	main(argc,argv)
int	argc;
char	**argv;
{
	FILE	*file;
	int	start=1;

	if (argc==1)
	    Dump(stdin);
	else
	    while (--argc>0)
		if ((file=fopen(*(++argv),"r"))==NULL)
		    fprintf(stderr,"%s : file not found.\n",*argv);
		else {
		    if (start) start=0; else putchar('\n');

		    printf("%s :\n",*argv); Dump(file); fclose(file);
		}

	return 0;
}
