#!/bin/csh
# usage : byte.csh LAC_step
#
if ($#argv != 1) then
  stderr usage : byte.csh LAC_step ; exit 1
endif
#
set step=$argv[1]
#
if (!(-e tg)) then
  stderr tg : directory not found. ; exit 1
endif
#
if (-e byte) then
  stderr byte : directory already exists. ; exit 1
endif
#
mkdir byte
tg2tg tg - 0 $step 8 byte | tr \\t , >! byte.csv
