#!/bin/csh
if (!(-e tg)) then
  stderr tg : directory not found. ; exit 1
endif
#
set awk=('NF==11 || NF==13 {' \
           't=$(NF-4)*3600+$(NF-3)*60+$(NF-2);' \
           'if (++n==1)' \
             't0=t1=t;' \
           'else {' \
             'if (t<t0) t+=86400;' \
             'dt=t-t1; t1=t; t2+=(dt*dt) }}' \
         'END { if (n>1) {' \
                 'm=(t-t0)/(n-1);' \
                 'printf "%d\t%f\t%f\n",n,m,sqrt(t2/(n-1)-m*m) }}')
setenv LANG C ; ls -l --full-time tg/*.tif | tr : ' ' | awk "$awk"
